Page MenuHomePhabricator

Do not use deprecated "mw.toolbar" when in edit mode
Closed, DuplicatePublic

Description

The code uses "mw.toolbar.addButton" at
https://github.com/wikimedia/mediawiki/blob/7bfc0f42a305ebd7b1f762edc292a04f0bf72950/includes/EditPage.php#L4110
but this causes warnings when editing pages on Wikipedia.

Event Timeline

He7d3r created this task.May 30 2018, 4:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 30 2018, 4:34 PM
Vvjjkkii renamed this task from Do not use deprecated "mw.toolbar" when in edit mode to azbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from azbaaaaaaa to Do not use deprecated "mw.toolbar" when in edit mode.Jul 2 2018, 4:11 AM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.